Bug 677345 - when resuming from suspend, desktop is visible before the session lock appears
when resuming from suspend, desktop is visible before the session lock appears
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-14 08:03 EST by Otso Helenius
Modified: 2013-02-13 18:15 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 713640 (view as bug list)
Environment:
Last Closed: 2013-02-13 18:15:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 246623 None None None 2012-06-30 16:54:29 EDT

  None (edit)
Description Otso Helenius 2011-02-14 08:03:07 EST
Description of problem:

when resuming from suspend, the desktop with all its contents before suspending are visible for a short moment before the screen goes blank and one is able to enter his/her password to the session lock window.

this poses a slight security risk as there is enough time to read parts of the content.

the kernel is 2.6.35.11, and the display adapter is Intel Corporation Core Processor Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller]) Subsystem: Lenovo Device 215a which is using kernel module i915. KDE version is 4.5.5.
Comment 1 Rex Dieter 2011-02-14 09:10:06 EST
bugs.kde.org is probably the best place for this.
Comment 2 Otso Helenius 2011-12-01 08:04:21 EST
Seems to happen also in Gnome: https://bugzilla.redhat.com/show_bug.cgi?id=713640

Also happening on F16
Comment 4 Xavier Hourcade 2012-06-30 09:06:19 EDT
Here might be the upstream bug ?
  https://bugs.kde.org/show_bug.cgi?id=246623

I am experiencing this in F16 KDE too. Recently thou, this has "evolved" here : now, the whole desktop is not visible any more, but instead, the list of current tasks are shown, covering the entire screen with some gray background (i.e. "user@host - Konsole" and "Whatever filename - Kate", etc.). So, it shows yet another strange view of the taskbar. This is 100% reproducible so far, every time I come back from suspend which I use at least once a day these days.

Note: maybe this coincides with my switch to smooth-taskbar, I didn't perform any further check or test on this issue.
Comment 5 Lukáš Tinkl 2012-07-02 07:02:06 EDT
Graphics card/driver? I've seen this before and it's most likely a graphics driver bug
Comment 6 Xavier Hourcade 2012-07-02 11:18:44 EDT
Fair enough, noVideo + proprietary driver distributed by fusion here :)

I will *not* test nouveau again with F16 on this hardware. Nouveau was an absolute no-go for me with first series of F16 stock kernels and mods, hence the switch at the time. However I will, of course, give it another go while moving to F17... or F18, and update the present report accordingly. Please do not close. Thanks.

(Asus V1S laptop)

# lspci | grep VGA
01:00.0 VGA compatible controller: nVidia Corporation G84 [GeForce 8600M GT] (rev a1)

# yum list installed kmod-nvidia
kmod-nvidia.x86_64     1:295.59-1.fc16.1     @rpmfusion-nonfree-updates
Comment 7 Fedora End Of Life 2013-01-16 14:23:35 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 18:15:39 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.